<?php

/*
 * This file is part of the Sylius package.
 *
 * (c) Paweł Jędrzejewski
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */

namespace Sylius\Component\Order\Model;

use Sylius\Component\Resource\Model\TimestampableInterface;

interface CommentInterface extends TimestampableInterface
{
    /**
     * @return OrderInterface
     */
    public function getOrder();

    /**
     * @param OrderInterface $order
     */
    public function setOrder(OrderInterface $order = null);

    /**
     * @return string
     */
    public function getState();

    /**
     * @param string $state
     */
    public function setState($state);

    /**
     * @return string
     */
    public function getComment();

    /**
     * @param string $comment
     */
    public function setComment($comment);

    /**
     * @return bool
     */
    public function getNotifyCustomer();

    /**
     * @param bool $notifyCustomer
     */
    public function setNotifyCustomer($notifyCustomer);

    /**
     * @return null|string
     */
    public function getAuthor();

    /**
     * @param string $author
     */
    public function setAuthor($author);
}
